import os
import pytest

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


@pytest.mark.parametrize("package", ["setroubleshoot", "mcstransd", "xinetd", "ypbind", "telnet"])
def test_packages_uninstalled(host, package):
    assert not host.package(package).is_installed
